File: changelog

package info (click to toggle)
slingshot 0.9-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 2,264 kB
  • ctags: 202
  • sloc: python: 1,879; makefile: 9
file content (104 lines) | stat: -rw-r--r-- 4,005 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
slingshot (0.9-2) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Ryan Kavanagh ]
  * Switch myself to uploaders and make PAPT the maintainer
  * Bump standards version to 3.9.6
  * Bump debhelper version to >= 9
  * Bump compat level to 9 
  * Update watch file to no longer use githubredir
  * Make canonical URIs for Vcs-* fields secure
  * Add a Keywords entry to slingshot.desktop, 02_keywords.diff
  * Update the author email address in main menu, 03_author.diff

  [ Petter Reinholdtsen ]
  * Updated symlink location to FreeSansBold.ttf, introduced
    dependency on fonts-freefont-ttf, where FreeSansBold.ttf now
    resides (Closes: #758623).  Patches from Christian Biamont and
    Ubuntu.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 27 Dec 2016 11:00:34 -0500

slingshot (0.9-1) unstable; urgency=low

  * New upstream release
    - Allows fullscreen mode. (Closes: #588472)
    - Updated copyright file
    - Drop debian/slingshot{.{xpm,desktop},-launcher} since they're included
      upstream
    - Update homepage / download location in control / copyright
    - Change default installation location (01_games_path.diff)
  * Bump standards version
  * Switch from CDBS to dh
  * Switch to source format 3.0 (quilt)
  * Drop dependency on ttf-freefont, FreeSansBold.ttf is already provided by
    python-pygames
    - Add override for package-contains-broken-symlink
  * Build dependency on python-support no longer needed, dropped
  * Move python from Build-Dep-Indep to Build-Dep since it's needed for clean
    target
  * Bump python build-dep version from (>= 2.6) to (>= 2.6.6-3~) for dh's
    --with python2 support
  * Fix watch file
  * Turn on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 30 Oct 2011 14:13:05 -0400

slingshot (0.8.1p-4) unstable; urgency=low

  [ Charlie Smotherman ]
  * Changed XS-Python-Version: 2.5 to >=2.5 so slingshot will build and install
    using python2.6.

  [ Jakub Wilk ]
  * Bumped Standards-Version to 3.8.4 (no changes needed)

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Sat, 20 Mar 2010 19:23:14 +0100

slingshot (0.8.1p-3) unstable; urgency=low

  * No longer including backslashes in Depends/Build-Depends. (Closes: #535310)
  * Bumped Standards-Version to 3.8.2 (no changes needed)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 03 Jul 2009 17:59:41 -0400

slingshot (0.8.1p-2) unstable; urgency=low

  [ Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn
    - bump Standards-Version to 3.8.1 (no changes needed)

  [ Ryan Kavanagh ]
  * Applied patch from Gabriel Ruiz for missing menu entry, (Closes: #511647)
    - Installs XPM icon
    - Installs desktop file to /usr/share/applications instead of
      /usr/share/games/applications (update dirs and rules)
  * Updated slingshot.desktop to have slingshot.xpm as icon
  * Prefixed ``Copyright '' to the occurences of '(C)' where lacking in the
    copyright file.
  * Updated the path to the GPL (GPL-2 instead of symlink) in copyright file.
  * Specified the version of the GPL for the packaging in the copyright file.
  * Install a link to FreeSansBold.ttf from ttf-freefont instead of installing
    it ourselves. Also updated the Depends to include ttf-freefont.
  * Renamed debian/menu to debian/slingshot.menu so that the debhelper.mk
    magic can do its thing and install / update the menu.
  * Dropped debian/pycompat (No longer required) and debian/pyversions
    (made redundant by XS-Python-Version in debian/control)
  * Updated slingshot-launcher with comments explaining the logic behind it.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 14 Mar 2009 07:35:08 -0400

slingshot (0.8.1p-1) unstable; urgency=low

  * Initial release (Closes: #485522)
  * Created a desktop file

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 19 Jun 2008 18:06:10 -0400